/***************************************************************************

    bfm_sc1.c


    A.G.E Code Copyright (c) 2004-2006, AGEMAME Development Team.
    Visit http://www.mameworld.net/agemame/ for more information.

    M.A.M.E Core Copyright (c) 1996-2006, Nicola Salmoria and the MAME Team,
    used under license from http://mamedev.org

****************************************************************************

***************************************************************************/
#include "vidhrdw/awpvid.h"
#include "vidhrdw/bfm_adr2.h"
#include "machine/vacfdisp.h"
#include "render.h"

VIDEO_RESET( adder2awp )
{
	video_reset_adder2(machine);
}

VIDEO_START( adder2awp )
{
	video_start_adder2(machine);
	generic_awp_setup(0);
	return 0;
}

VIDEO_UPDATE( adder2awp )
{
	int x;
	if (screen == 0)
	{
		adder2_update(bitmap);
	}
	if (screen == 1)
	{
		for ( x = 0; x < totalreels; x++ )
		{
			draw_reel(x,steps[x],symbols[x]);
		}
		awp_lamp_draw();
		if (!vfdcol)
		{
			draw_16seg(bitmap,0,1,9);
		}
		else
		{			
			awp_vfd_setup(0,bitmap);
		}
	}

//		output_set_value("door",((readinputportbytag("STROBE4")&0x02)));
	return 0;
}
